Get a rank snapshot

GET
/research/projects/{researchProjectId}/keywords/{researchKeywordId}/rank-snapshots/{snapshotId}

One measured rank snapshot. An id from another project, keyword, or organization answers 404. Requires the read scope.

Authorization

BearerAuth read
headerAuthorizationBearer <token>

An instance admin key from ADMIN_API_KEYS, or an organization key (elmo_…) issued from the dashboard.

Scope: read

Path Parameters

researchProjectId*string
Formatuuid
researchKeywordId*string
Formatuuid
snapshotId*string
Formatuuid

Response Body

A rank snapshot

application/json
  1. response
id*string
Formatuuid
researchProjectId*string
Formatuuid
researchKeywordId*string
Formatuuid
keyword*string
targetDomain*string
locationCode*integer
languageCode*string
device*string
Value in"desktop""mobile"
position*integer|null
url*string|null
results*array<unknown>
outcome*string
Value in"ranked""not_in_top_n""no_results""provider_failed""not_checked"
partial*boolean
provider*string|null
checkedAt*string
Formatdate-time
Example Request
curl -X GET 'https://app.aeonav.fivecoder.com/api/v1/research/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/keywords/497f6eca-6276-4993-bfeb-53cbbbba6f08/rank-snapshots/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "researchProjectId": "1c0d094f-324a-4644-8fb4-5a5c02f86ba0",
  "researchKeywordId": "dd7cb75e-c45d-4db5-8a94-018136516c7b",
  "keyword": "string",
  "targetDomain": "string",
  "locationCode": 0,
  "languageCode": "string",
  "device": "desktop",
  "position": 0,
  "url": "string",
  "results": [
    null
  ],
  "outcome": "ranked",
  "partial": true,
  "provider": "string",
  "checkedAt": "2019-08-24T14:15:22Z"
}